puppet_3.7.2-4+deb8u1_all.deb


Advertisement

Description

puppet - configuration management system, agent

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name puppet
Package version 3.7.2
Package release 4+deb8u1
Package architecture all
Package type deb
Installed size 86 B
Download size 25.26 KB
Official Mirror ftp.br.debian.org
Puppet is a server automation tool. It is composed of a declarative
language for expressing system configuration, a client and server for
distributing it, and a library for realizing the configuration.
The primary design goal of Puppet is to have an expressive enough
language backed by a powerful enough library that you can write your
own server automation applications in just a few lines of code.
Puppet’s deep extensibility and open source license lets you add
functionality as needed and share your innovations with others.
This package contains "puppet" service and init script used to run
the puppet agent, and depend on the "puppet-common" package which
contains the software.

Alternatives

Package Version Architecture Repository
puppet_3.7.2-4+deb8u1_all.deb 3.7.2 all Debian Main
puppet - - -

Requires

Name Value
init-system-helpers >= 1.18~
puppet-common = 3.7.2-4+deb8u1
ruby -
ruby-interpreter -

Download

Type URL
Binary Package puppet_3.7.2-4+deb8u1_all.deb
Source Package puppet

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install puppet deb package:
    # sudo apt-get install puppet

Files

Path
/etc/init.d/puppet
/lib/systemd/system/puppet.service
/usr/share/doc/puppet/NEWS.Debian.gz
/usr/share/doc/puppet/changelog.Debian.gz
/usr/share/doc/puppet/copyright

Changelog

2017-05-23 - Apollon Oikonomopoulos <apoikos@debian.org>
puppet (3.7.2-4+deb8u1) jessie-security; urgency=high
* master: accept facts only in PSON format (CVE-2017-2295). Note that the
fix for CVE-2017-2295 unfortunately breaks backward compatibility with
agent versions prior to 3.2.2. (Closes: #863212)
+ Document compatibility issues in d/NEWS.
* Add myself to Uploaders.
2015-03-30 - Apollon Oikonomopoulos <apoikos@debian.org>
puppet (3.7.2-4) unstable; urgency=medium
* Team upload.
* Fix service enable with new initscripts under sysvinit (Closes: #781512).
2015-03-10 - Apollon Oikonomopoulos <apoikos@debian.org>
puppet (3.7.2-3) unstable; urgency=medium
[ Apollon Oikonomopoulos ]
* Team upload.
* Fix service enable/disable in the Debian service provider (Closes: #775795)
* Fix stored configs with ActiveRecord 4.x (Closes: #774643)
+ puppetmaster-common: add Recommends for stored configs
+ Mention stored configs dependencies in README.Debian. Also add a
note for the deprecation of AR-based stored configs.
* Preserve and honor changes in /etc/default/puppet (Closes: #778891)
+ Do not remove /etc/default/puppet on upgrade
+ Disable the agent when upgrading and START != yes
+ puppet.service: pass $DAEMON_OPTS to puppet agent. Thanks to Rik Theys!
+ Add a NEWS note about the START flag
[ Stig Sandbeck Mathisen ]
* Add upstream metadata
2015-02-05 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.7.2-2) unstable; urgency=medium
[ Gaudenz Steinlin ]
* [558cce5] Use /usr/sbin/service in the Debian service provider
(Closes: #775795)
2014-10-24 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.7.2-1) unstable; urgency=medium
* Imported upstream release 3.7.2
* Declare compliance with Debian Policy 3.9.6
2014-09-16 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.7.1-1) unstable; urgency=medium
* Imported upstream release 3.7.1
2014-09-07 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.7.0-1) unstable; urgency=medium
* Imported upstream release 3.7.0 (CVE-2014-3248, CVE-2014-3250)
* Do not install vendored "rgen"
* debian/copyright: update
* debian/control:
- Update vcs browse url
- Set "Testsuite:" header
- Update package descriptions
2014-05-26 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.6.1-1) unstable; urgency=medium
* Import upstream release 3.6.1
2014-05-16 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.6.0-1) unstable; urgency=medium
* Import upstream release 3.6.0
* Remove deprecated global file/template locations
* Move ruby-selinux from Suggests to Recommends (Closes: #743790)
* Add build dependency on ruby-hiera
* puppet-el: match .pp suffix at end of string, not end of line.
Thanks to Kevin Ryde (Closes: #670330)
* puppet-el: Conform to emacs policy
2014-04-17 - Stig Sandbeck Mathisen <ssm@debian.org>
puppet (3.5.1-1) unstable; urgency=medium
* Imported upstream release 3.5.1

See Also

Package Description
puppetmaster-common_3.7.2-4+deb8u1_all.deb configuration management system, master common files
puppetmaster-passenger_3.7.2-4+deb8u1_all.deb configuration management system, scalable master service
puppetmaster_3.7.2-4+deb8u1_all.deb configuration management system, master service
pure-ftpd-common_1.0.36-3.2_all.deb Pure-FTPd FTP server (Common Files)
pure-ftpd-ldap_1.0.36-3.2_i386.deb Secure and efficient FTP server with LDAP user authentication
pure-ftpd-mysql_1.0.36-3.2_i386.deb Secure and efficient FTP server with MySQL user authentication
pure-ftpd-postgresql_1.0.36-3.2_i386.deb Secure and efficient FTP server with PostgreSQL user authentication
pure-ftpd_1.0.36-3.2_i386.deb Secure and efficient FTP server
puredata-core_0.46.2-1_i386.deb realtime computer music and graphics system - core components
puredata-dev_0.46.2-1_all.deb realtime computer music and graphics system - development files
puredata-doc_0.46.2-1_all.deb realtime computer music and graphics system - documentation
puredata-extra_0.46.2-1_i386.deb realtime computer music and graphics system - extra files
puredata-gui_0.46.2-1_all.deb realtime computer music and graphics system - GUI
puredata-import_1.3-3_i386.deb Pd object for loading libraries within a patch
puredata-utils_0.46.2-1_i386.deb realtime computer music and graphics system - utility programs
Advertisement
Advertisement